Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-22648

Wrong version of YUI lib in ezjscore when installing ezpublish-community from master with composer

    XMLWordPrintable

    Details

      Description

      Trying to install ezpublish-community from github/origin/master, and following the steps described in INSTALL.md, I stumble upon the following when running composer install :

      Installing assets using the symlink option
      Installing assets for Symfony\Bundle\FrameworkBundle into web/bundles/framework
      Installing assets for Tedivm\StashBundle into web/bundles/tedivmstash
      Installing assets for EzSystems\DemoBundle into web/bundles/ezdemo
      Installing assets for WhiteOctober\PagerfantaBundle into web/bundles/whiteoctoberpagerfanta
      Installing assets for Sensio\Bundle\DistributionBundle into web/bundles/sensiodistribution
      Installing eZ Publish legacy assets from /opt/local/apache2/htdocs/ezpublish-community/ezpublish/../ezpublish_legacy using the symlink option
      Installing wrappers for eZ Publish legacy front controllers (rest & cluster)
      Dumping all prod assets.
      Debug mode is off.
      
      20:57:21 [dir+] web/js
      20:57:21 [file+] web/js/f110395.js
      
      
                                                                                                                                                                                 
        [RuntimeException]                                                                                                                                                       
        The source file "/opt/local/apache2/htdocs/ezpublish-community/ezpublish/../web/extension/ezjscore/design/standard/lib/yui/3.15.0/build/yui/yui-min.js" does not exist.  
                                                                                                                                                                                 
      
      assetic:dump [--watch] [--force] [--period="..."] [write_to]
      
      
      Script eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler::dumpAssets handling the post-install-cmd event terminated with an exception
      
      
                                                                                               
        [RuntimeException]                                                                     
        An error occurred when executing the "'assetic:dump --env=prod '\''web'\'''" command.  
                                                                                               
      
      install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-plugins] [--no-custom-installers] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [packages1] ... [packagesN]
      

      After a double-check on the YUI version, such a file as web/extension/ezjscore/design/standard/lib/yui/3.15.0/build/yui/yui-min.js is not here, while the following path exists: web/extension/ezjscore/design/standard/lib/yui/3.9.0/build/yui/yui-min.js

      Attached: my local composer.lock file.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            nicolas.pastorino@ez.no Nicolas Pastorino (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: